Attean::API::TermOrVariable(3pm)

NAME
Attean::API::TermOrVariable - Role representing terms and variables

VERSION
This document describes Attean::API::TermOrVariable version 0.012

SYNOPSIS
  use v5.14;
  use Attean;

DESCRIPTION
This is a Moo role that both terms and variables consume, and is used as a constraint for nodes in triple and quad patterns.

METHODS

"equals( $other )"
    Returns true if the referent and $other are value-equal, false otherwise.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO
<http://www.perlrdf.org/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2016 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.